Name: H5Pget_class
Signature:
  H5P_class_t `H5Pget_class`(hid_t `plist` )
Purpose:
  Returns the property list class for a property list.
Description:
  `H5Pget_class` returns the property list class for the property list identified by the `plist` parameter. Valid property list classes are defined in the description of `H5Pcreate`.
Parameters:

hid_t `plist` | IN: Identifier of property list to query.

Returns:
  Returns a property list class if successful. Otherwise returns H5P_NO_CLASS (-1).
Fortran90 Interface: h5pget_class_f

      SUBROUTINE h5pget_class_f(prp_id, classtype, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id ! Property list identifier
        INTEGER, INTENT(OUT) :: classtype    ! The type of the property list
                                             ! to be created
                                             ! Possible values are:
                                             !    H5P_NO_CLASS
                                             !    H5P_FILE_CREATE_F
                                             !    H5P_FILE_ACCESS_F
                                             !    H5PE_DATASET_CREATE_F
                                             !    H5P_DATASET_XFER_F
                                             !    H5P_MOUNT_F
        INTEGER, INTENT(OUT) :: hdferr       ! Error code
                                             ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_class_f